{% extends 'Default/index.html.twig' %}

{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('service-group-manager') }}
{% endblock %}

{% block main_content %}
  <section id="intro" class="container px-4 my-4">
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        <h2>{{ 'gruppo_di_servizi.modifica' | trans() }} - {{ item.name }}</h2>
      </div>

      <div class="col-lg-12 px-lg-4 py-lg-2 mt-4">
        {{ form_start(form) }}

        {{ form_row(form.name) }}
        {{ form_row(form.shortDescription) }}
        {{ form_row(form.enable_external_card_url) }}
        <div id="tabs-externalCardUrl">
          {{ form_row(form.externalCardUrl) }}
        </div>
        <div id="card-fields-container">
          {{ form_row(form.description) }}
          {{ form_row(form.who) }}
          {{ form_row(form.howto) }}
          {{ form_row(form.howToDo) }}
          {{ form_row(form.whatYouNeed) }}
          {{ form_row(form.whatYouGet) }}
          {{ form_row(form.costs) }}
          {{ form_row(form.costs_attachments) }}
          <div class="form-group">
            {% if item.costsAttachments %}
              <ul class="upload-file-list">
                {% for attachment in item.costsAttachments %}
                  <li class="upload-file success">
                    <svg class="icon icon-sm" aria-hidden="true">
                      <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-files"></use>
                    </svg>
                    <a
                      href="{{ path('service_group_api_attachment_get', {'id': item.id, 'attachmentType': attachment.type, 'filename': attachment.name}) }}"
                      download>{{ attachment.decoratedName }}</a>
                    <button class="attachment-delete" type="button"
                            data-delete-url="{{ path('admin_delete_group_attachment', {
                              'id': item.id,
                              'filename': attachment.name,
                              'attachmentType': attachment.type
                            }) }}">
                  <span
                    class="sr-only">{{ 'servizio.delete_filename' | trans({'%filename%': attachment.originalName }) }}</span>
                      <svg class="icon icon-danger" aria-hidden="true">
                        <use href="/bootstrap-italia/dist/svg/sprite.svg#it-close"></use>
                      </svg>
                    </button>
                  </li>
                {% endfor %}
              </ul>
            {% else %}
              <p>{{ 'servizio.no_attachments_uploaded' | trans }}</p>
            {% endif %}
          </div>
          {{ form_row(form.specialCases) }}
          {{ form_row(form.moreInfo) }}
          {{ form_row(form.constraints) }}
          {{ form_row(form.timesAndDeadlines) }}
          {{ form_row(form.conditions) }}
          <div class="form-group">
            {{ form_row(form.conditions_attachments) }}
            {% if item.conditionsAttachments %}
              <ul class="upload-file-list">
                {% for attachment in item.conditionsAttachments %}
                  <li class="upload-file success">
                    <svg class="icon icon-sm" aria-hidden="true">
                      <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-files"></use>
                    </svg>
                    <a
                      href="{{ path('service_group_api_attachment_get', {'id': item.id, 'attachmentType': attachment.type, 'filename': attachment.name}) }}"
                      download>{{ attachment.decoratedName }}</a>
                    <button class="attachment-delete" type="button"
                            data-delete-url="{{ path('admin_delete_group_attachment', {
                              'id': item.id,
                              'filename': attachment.name,
                              'attachmentType': attachment.type
                            }) }}">
                  <span
                    class="sr-only">{{ 'servizio.delete_filename' | trans({'%filename%': attachment.originalName }) }}</span>
                      <svg class="icon icon-danger" aria-hidden="true">
                        <use href="/bootstrap-italia/dist/svg/sprite.svg#it-close"></use>
                      </svg>
                    </button>
                  </li>
                {% endfor %}
              </ul>
            {% else %}
              <p>{{ 'servizio.no_attachments_uploaded' | trans }}</p>
            {% endif %}
          </div>
          {{ form_row(form.sticky) }}
          {{ form_row(form.topics) }}
          {{ form_row(form.recipients) }}
          {{ form_row(form.geographic_areas) }}
          {{ form_row(form.coverage) }}
          {{ form_row(form.register_in_folder) }}
          <div id="life-business-events" class="collapse-div my-4">
            <div class="collapse-header" id="heading-life-events">
              <a class="btn" data-toggle="collapse" href="#life-events" role="button" aria-expanded="false"
                 aria-controls="life-events">
                {{ 'servizio.life_events' | trans }}
              </a>
            </div>
            <div id="life-events" class="collapse mt-3" role="region" aria-labelledby="heading-life-events">
              <fieldset class="form-group">
                <div class="row choices-auto-height">
                  {% for child in form.life_events %}
                    <div class="col-12 col-lg-6">
                      {{ form_widget(child) }}
                    </div>
                  {% endfor %}
                </div>
              </fieldset>
            </div>
            <div class="collapse-header" id="heading-business-events">
              <a class="btn" data-toggle="collapse" href="#business-events" aria-expanded="false"
                 aria-controls="business-events">
                {{ 'servizio.business_events' | trans }}
              </a>
            </div>
            <div id="business-events" class="collapse mt-3" role="region" aria-labelledby="heading-business-events">
              <fieldset class="form-group">
                <div class="row choices-auto-height">
                  {% for child in form.business_events %}
                    <div class="col-12 col-lg-6">
                      {{ form_widget(child) }}
                    </div>
                  {% endfor %}
                </div>
              </fieldset>
            </div>
          </div>
        </div>
      </div>

      <div class="col-lg-12 px-lg-4 py-lg-2">
        <div class="form-group">
          <label>{{ 'gruppo_di_servizi.servizi' | trans() }}</label>
          {% if item.services.count > 0 %}
            <table class="table table-striped">
              <thead>
              <tr>
                <th scope="col">{{ 'gruppo_di_servizi.nome' | trans() }}</th>
                <th scope="col">{{ 'gruppo_di_servizi.modifica' | trans() }}</th>
                <th scope="col">{{ 'gruppo_di_servizi.rimuovi' | trans() }}</th>
              </tr>
              </thead>
              <tbody>
              {% for service in item.services %}
                <tr>
                  <td>{{ service.name }}</td>
                  <td>
                    <a href="{{ path('admin_servizio_edit', {'id': service.id}) }}">
                      <svg class="icon icon-sm icon-warning">
                        <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-pencil"></use>
                      </svg>
                    </a>
                  </td>
                  <td>
                    <a href="{{ path('admin_service_remove_group', {'id': service.id}) }}"
                       onclick="return confirm('{{ 'operatori.delete_services' | trans }}');">
                      <svg class="icon icon-sm icon-danger">
                        <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-delete"></use>
                      </svg>
                    </a>
                  </td>
                </tr>
              {% endfor %}
              </tbody>
            </table>
          {% else %}
            <em>{{ 'gruppo_di_servizi.nessun_servizio' | trans() }}</em>
          {% endif %}
        </div>
        <input class="btn btn-primary mr-1" type="submit" value="{{ 'salva' | trans }}" style="float: left"/>
        <a class="btn btn-100 mr-1" href="{{ path('admin_service_group_index') }}"
           style="float: left">{{ 'gruppo_di_servizi.torna_alla_lista' | trans() }}</a>
        {{ form_end(form) }}
      </div>
    </div>
  </section>
{% endblock %}
